Package twisted :: Package protocols :: Module sip :: Class DigestedCredentials

[frames | no frames]

## Class DigestedCredentials

    UsernameHashedPassword --+
                             |
                            DigestedCredentials

Yet Another Simple Digest-MD5 authentication scheme

Method Summary
| `__init__(self, username, fields, challenges)`
| `checkPassword(self, password)`

Class Variable Summary
Inherited from UsernameHashedPassword
`tuple` | `__implements__` = `(<class twisted.cred.credentials.IUsern...`

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net